@import (reference) "../helpers/_var";
@import (reference) "../fonts/_icons";
@import "../lib/_slick";


.slider-section {
  & {
    position: relative;
    z-index: 2;
  }

  .slide-img {
    width: 100%;
    height: 700px;
    object-fit: cover;

    @media (max-width: @screen_desktop) {
      height: 400px;
    }

    @media (max-width: @screen_tablet) {
      height: 300px;
    }
  }

  .text-block {
    & {
      font-family: @font_primary;
      font-size: 28px;
      position: absolute;
      margin: 0;
      z-index: 3;
      display: flex;
      justify-content: center;
      flex-direction: column;
      align-items: center;
      max-width: 700px;
      top: 25%;
      left: 15%;

      @media (max-width: @screen_tablet) {
        font-size: 18px;
      }
    }

    .line:not(:last-child) {
      margin-bottom: 25px;
      display: block;
    }
  }

  .slick-arrow {
    & {
      width: 70px;
      background-color: rgb(255 255 255 / 20%);
      z-index: 4;
      position: absolute;
      top: 0;
      bottom: 0;
      border: transparent;
      color: #fff;
      font-size: 30px;
      transition: .2s;
      overflow: hidden;
      text-indent: 100px;
    }

    &:after {
      opacity: .8;
      transition: .5s;
      transform: scale(1, 2.5);
      text-indent: initial;
      display: block;
    }

    &:hover {
      & {
        background-color: rgb(255 255 255 / 60%);
      }

      &:after {
        opacity: 1;
      }
    }

    &.slick-next {
      & {
        right: 0;
        top: 0;
        position: absolute;
      }

      &:after {
        content: '>';
      }
    }

    &.slick-prev {
      & {
        left: 0;
      }

      &:after {
        content: '<';
      }
    }

    &.slick-hidden {
      display: none;
    }
  }

  .slick-dots {
    & {
      position: absolute;
      bottom: -@slick-slider_indent;
      display: flex;
      align-items: center;
      justify-content: center;
      width: 100%;
      list-style: none;
    }

    button {
      outline: none;
      overflow: hidden;
      text-indent: 100px;
      cursor: pointer;
    }
  }

  .slick-dots {
    & button {
      background: #cdcbcb;
      border-radius: 50%;
      border: none;
      height: 15px;
      margin: 5px;
      width: 15px;
      box-sizing: border-box;
      padding: 0;

      @media (max-width: @screen_tablet) {
        height: 13px;
        width: 13px;
      }
    }

    .slick-active button {
      background: #017901;
    }
  }
}